<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\TerminSammelaenderung;

class TerminSammelaenderungFormularController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminSammelaenderungFormularUseCase(
      $this->getRequestObj()
    );
  }

  
  protected function getRequestObj()
  {
    $requestObj = new TerminSammelaenderungFormularRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->ktIds = explode(':', \GetOperations::getVarValue('ktIds'));

    return $requestObj;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminSammelaenderungFormularPresenter($pUseCaseResponse);
  }
}